{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    disko = { url = "github:nix-community/disko"; inputs.nixpkgs.follows = "nixpkgs"; };
  };

  outputs = inputs:
    let
      system = "x86_64-linux";
      pkgs = inputs.nixpkgs.legacyPackages.${system};
      inherit (inputs.nixpkgs) lib;
    in
    {
      nixosConfigurations.tami-mac = import ./hosts/tami-mac inputs;

      apps.${system} = lib.mapAttrs' (n: v: lib.nameValuePair ("deploy-${n}") v) (lib.genAttrs (lib.attrNames inputs.self.nixosConfigurations) (host: {
        type = "app";
        program = toString (pkgs.writeShellScript "deploy-${host}" ''
          ${lib.getExe pkgs.nixos-rebuild} switch --fast --flake ${inputs.self}#${host} \
            --build-host tami@${host} --target-host tami@${host}
        '');
      }));
    };
}
